Bug 736098 - [abrt] xfce-utils-4.8.2-1.fc16: xfrun_run_clicked: Process /usr/bin/xfrun4 was killed by signal 11 (SIGSEGV)
Summary: [abrt] xfce-utils-4.8.2-1.fc16: xfrun_run_clicked: Process /usr/bin/xfrun4 wa...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce-utils
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:28086bc66ca09ef26c5bbcd643c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-06 16:46 UTC by Nikolay Vladimirov
Modified: 2011-09-10 07:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-10 07:43:31 UTC


Attachments (Terms of Use)
File: maps (27.29 KB, text/plain)
2011-09-06 16:47 UTC, Nikolay Vladimirov
no flags Details
File: backtrace (30.10 KB, text/plain)
2011-09-06 16:47 UTC, Nikolay Vladimirov
no flags Details
xsession-errors (8.43 KB, text/plain)
2011-09-07 05:13 UTC, Nikolay Vladimirov
no flags Details

Description Nikolay Vladimirov 2011-09-06 16:46:56 UTC
abrt version: 2.0.5
backtrace_rating: 4
cmdline:        /usr/bin/xfrun4 --daemon
crash_function: xfrun_run_clicked
executable:     /usr/bin/xfrun4
kernel:         3.1.0-0.rc4.git0.0.fc16.x86_64
reason:         Process /usr/bin/xfrun4 was killed by signal 11 (SIGSEGV)
time:           Tue Sep  6 19:13:24 2011
uid:            1000
username:       nvladimirov
xsession_errors: 

backtrace:      Text file, 30819 bytes
maps:           Text file, 27945 bytes

build_ids:
:1c6a95451ee19617be5abea3d121f0226d21ddda
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:98fa95d21e16075ada6df19748c6c133ee9165d0
:6820b4f421980e4f5fe23c69b239dc8279af3c76
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:49a5c6d4e4db5066266ee3c801a61846352da742
:f47fce6e45fa4fdaf051267eaa7ed685f4f9125e
:5e8c36ca13a4af14fa6b1b45a0dbfb43ed6aed6e
:22fcd30239c84ed7b18f5b9a34c2629f7a8fc4aa
:d0c6e13f00a20952a72a945c929efb175fd760e3
:fda851c000cc74a5a4a85bdb206eb46f5eee8526
:206a5869a7f2789e2f7c51d0175a711f51abe824
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:44ece411beb2ef1acdb5eb2161666de41cc2f31d
:760353304c81dfac3458d15cae237f80f64df76f
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:4ff72914d1077d6b625acffaf02741e1775a35b8
:b864e94cf7e23d207e5474bbb7beaee3633ed694
:353a61c264385b7feec38c9e34040aa9bc615d6a
:aaf62304b0fc10611d35b4f56005479d4c58868d
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:e9f37869fd900aa33729709183be26f60c830708
:8acc43df965b3c0a70dcfad11c0ade056bdb055b
:25b834f4c4dc534708635ff1064e2fe02a366a62
:32f523efee71946b7065ca65210850cf491bf24c
:9517a2a60bd94eea3a1f6bbc98296f888980dca8
:4953d1f613914126bccceb3cb96386647ffba9df
:0911ea7c180d733724f89037b8e8a34e64024aec
:39a9d7e5a7c16008e1a436b07c3b4572a8ad8864
:ccadad4ec7dab3bb6abc23f9d4cdf53ff01cb235
:ae43790e788432621dbab61da7f02421a3d46919
:16cd4f049ae10dc8c27c8d9a1c933189f74cc837
:84c10b99d5e313e2da4f265437eb20d9d15f0470
:91709dc7083204ddd936d5ad28c171985f06f66c
:f4a8746bdce81a5832071025756151f69ae8e122
:f5fa844fb5fe095da6b988d206af5a1f8c81a7bc
:ed91e7cbb6d7056226b7d9d50fff88e24dd5eaac
:4c842320387ff7f6f91b7842b223c16518be909f
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:6416abf8d887cdd820fa821a15111131c8975b3c
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:4b01fe6e705219deca2756ff0720d52ec81b4c87
:be507c791e34415e8f42f0e6030c889b2895cf9a
:e81e108ee1e9f0fca2ef39f5d0517483c78ae650
:33001d9c43203911ccf35a2f3db5b6b2d70cb292
:91689252818532ec13597b6528d38be93b2706c4
:dfc1b11c1ced5c134adca2b29874a41f39f0eeaf
:33d2ab2ee0f9451d3d39cb670b1b5821ab848cc4
:38783f923e10933ed628e548143ce7c2ac0bc5a0
:7736285a9d7606379bd0145646e9974d1221616b
:23b6792e3218744316fd495002f40a037c2e0095
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:29d5671c1a850397059b8c7a07373569317ff606
:c755f1e5d539d4d011fa34f14fe0ec98c6792eca
:d440afe7396b3365dcb935f9bf7f2fb28f3839de
:163b323da65b708418226eb5fa8b057c731d1475
:48aea888319e1848137073c9cbde54a4c2a731c9
:b038838c10d38141b6ec19b40168be9caaa78286
:a518a8b1b5c3e80dee813df05e951d205d6ac48c
:9afa4a71f0f6a189e8dcf1179b9445a81df0ab28

comment:
:1. yum group install "Xfce"
:2. selected XFCE in gdm and login
:3. After a second or so all windows loose decorations ( i guess xfwm4 crash). Starting xfwm4 from a terminal works fine

dso_list:
:/lib64/libm-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1314757119
:/usr/lib64/libgdk-x11-2.0.so.0.2400.6 gtk2-2.24.6-1.fc16.x86_64 (Fedora Project) 1314981596
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc16.noarch (Fedora Project) 1314757142
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1314757124
:/lib64/ld-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1314757119
:/usr/lib64/libpangocairo-1.0.so.0.2903.0 pango-1.29.3-2.fc16.x86_64 (Fedora Project) 1314757162
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc16.x86_64 (Fedora Project) 1314757122
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.1.90-1.fc16.noarch (Fedora Project) 1314981608
:/lib64/libz.so.1.2.5 zlib-1.2.5-4.fc16.x86_64 (Fedora Project) 1314757122
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1314757124
:/usr/lib64/libgtk-x11-2.0.so.0.2400.6 gtk2-2.24.6-1.fc16.x86_64 (Fedora Project) 1314981596
:/usr/lib/locale/locale-archive glibc-common-2.14.90-4.x86_64 (Fedora Project) 1314757118
:/lib64/libglib-2.0.so.0.2918.0 glib2-2.29.18-1.fc16.x86_64 (Fedora Project) 1314981581
:/lib64/libgmodule-2.0.so.0.2918.0 glib2-2.29.18-1.fc16.x86_64 (Fedora Project) 1314981581
:/lib64/libgthread-2.0.so.0.2918.0 glib2-2.29.18-1.fc16.x86_64 (Fedora Project) 1314981581
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1314757124
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-3.fc16.x86_64 (Fedora Project) 1314757124
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2400.0 gdk-pixbuf2-2.24.0-1.fc16.x86_64 (Fedora Project) 1314981584
:/lib64/libresolv-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1314757119
:/usr/lib64/libpango-1.0.so.0.2903.0 pango-1.29.3-2.fc16.x86_64 (Fedora Project) 1314757162
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.9.4-1.fc16.x86_64 (Fedora Project) 1314822693
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-4.fc16.x86_64 (Fedora Project) 1314757140
:/usr/lib64/libpangoft2-1.0.so.0.2903.0 pango-1.29.3-2.fc16.x86_64 (Fedora Project) 1314757162
:/lib64/librt-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1314757119
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.7-1.fc16.x86_64 (Fedora Project) 1314757122
:/usr/lib64/libpixman-1.so.0.22.2 pixman-0.22.2-1.fc16.x86_64 (Fedora Project) 1314757124
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1314757124
:/usr/lib64/libfreetype.so.6.7.1 freetype-2.4.6-1.fc16.x86_64 (Fedora Project) 1314757122
:/lib64/libselinux.so.1 libselinux-2.1.4-2.fc16.x86_64 (Fedora Project) 1314822623
:/usr/lib64/libX11-xcb.so.1.0.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1314757124
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1314757123
:/lib64/libgio-2.0.so.0.2918.0 glib2-2.29.18-1.fc16.x86_64 (Fedora Project) 1314981581
:/lib64/libpthread-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1314757119
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc16.x86_64 (Fedora Project) 1314757124
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1314757124
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc16.x86_64 (Fedora Project) 1314757122
:/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-3.fc16.x86_64 (Fedora Project) 1314757122
:/lib64/libdl-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1314757119
:/usr/lib64/libxfce4util.so.4.1.1 libxfce4util-4.8.1-2.fc15.x86_64 (Fedora Project) 1314989579
:/usr/bin/xfrun4 xfce-utils-4.8.2-1.fc16.x86_64 (Fedora Project) 1314989615
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1314757124
:/usr/share/icons/Mist/icon-theme.cache gnome-themes-2.32.0-6.fc16.noarch (Fedora Project) 1314757165
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1314757124
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.0-2.fc15.x86_64 (Fedora Project) 1314757122
:/usr/lib64/libxfce4ui-1.so.0.0.0 libxfce4ui-4.8.0-4.fc16.x86_64 (Fedora Project) 1314989582
:/lib64/libutil-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1314757119
:/usr/lib64/libatk-1.0.so.0.20114.1 atk-2.1.5-1.fc16.x86_64 (Fedora Project) 1314757123
:/lib64/libgobject-2.0.so.0.2918.0 glib2-2.29.18-1.fc16.x86_64 (Fedora Project) 1314981581
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-2.fc16.x86_64 (Fedora Project) 1314822639
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-1.fc16.x86_64 (Fedora Project) 1314822630
:/lib64/libudev.so.0.12.0 libudev-173-3.fc16.x86_64 (Fedora Project) 1314822623
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1314757125
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1314757123
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1314757119
:/usr/lib64/libbluray.so.0.0.0 libbluray-0.2-0.5.20110710git51d7d60a96d06.fc16.x86_64 (Fedora Project) 1314822691
:/lib64/libgcc_s-4.6.1-20110824.so.1 libgcc-4.6.1-8.fc16.x86_64 (Fedora Project) 1314822622
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1314757124
:/usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so gtk2-engines-2.20.2-2.fc15.x86_64 (Fedora Project) 1314757165
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.9.4-1.fc16.x86_64 (Fedora Project) 1314822693
:/lib64/libuuid.so.1.3.0 libuuid-2.20-1.fc16.x86_64 (Fedora Project) 1314822606
:/usr/share/fonts/dejavu/DejaVuSans.ttf dejavu-sans-fonts-2.33-1.fc16.noarch (Fedora Project) 1314757255
:/lib64/libc-2.14.90.so glibc-2.14.90-4.x86_64 (Fedora Project) 1314757119
:/usr/lib64/libstartup-notification-1.so.0.0.0 startup-notification-0.12-1.fc16.x86_64 (Fedora Project) 1314757128
:/usr/lib64/libxcb-aux.so.0.0.0 xcb-util-0.3.6-2.fc15.x86_64 (Fedora Project) 1314757128
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-4.fc16.x86_64 (Fedora Project) 1314757141

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-Xb3YrPFlw2,guid=1a813bbaee936e463858320d00000046
:XDG_SESSION_COOKIE=48ab9fab66959039fd4b30da0000001d-1315318332.910296-983855854
:XDG_RUNTIME_DIR=/run/user/nvladimirov
:DISPLAY=:0
:DESKTOP_SESSION=xfce
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GDMSESSION=xfce
:XDG_VTNR=1
:USERNAME=nvladimirov
:XDG_SESSION_ID=2
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Xb3YrPFlw2,guid=1a813bbaee936e463858320d00000046
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-nvladimirov-JZOCod/database
:USER=nvladimirov
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=1230
:SHLVL=1
:PWD=/home/nvladimirov
:GNOME_KEYRING_CONTROL=/tmp/keyring-2J6tbP
:LANG=en_US.UTF-8
:_=/usr/bin/dbus-launch
:LOGNAME=nvladimirov
:HOME=/home/nvladimirov

smolt_data:
:
:
:General
:=================================
:UUID: c9c6c5cc-e6b6-41fd-8aea-2d31bafd38a7
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 3989.64
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T7300  @ 2.00GHz
:CPU Stepping: 11
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 2001
:System Memory: 1949
:System Swap: 2693
:Vendor: LENOVO
:System: 7661W6H ThinkPad T61
:Form factor: Notebook
:Kernel: 3.1.0-0.rc4.git0.0.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:9288:6058:8366) pci, None, PCI/PCI, ThinkPad T61
:(32902:10752:6058:8371) pci, agpgart-intel, HOST/PCI, T61
:(32902:10302:6058:8361) pci, i801_smbus, SERIAL, ThinkPad T61
:(32902:10280:6058:8360) pci, ata_piix, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA IDE Controller
:(32902:10257:6058:8374) pci, None, PCI/ISA, T61
:(32902:4169:6058:8377) pci, e1000e, ETHERNET, ThinkPad T61
:(32902:10307:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:17486:32902:17486) pci, None, MEMORY, Turbo Memory Controller
:(32902:10309:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:10289:6058:8362) pci, uhci_hcd, USB, ThinkPad T61
:(32902:10288:6058:8362) pci, uhci_hcd, USB, ThinkPad T61
:(32902:10290:6058:8362) pci, uhci_hcd, USB, ThinkPad T61
:(32902:10294:6058:8363) pci, ehci_hcd, USB, ThinkPad T61
:(32902:10298:6058:8363) pci, ehci_hcd, USB, ThinkPad T61
:(32902:16935:32902:4113) pci, iwl3945, NETWORK, ThinkPad R60e/X60s
:(32902:10754:6058:8373) pci, i915, VIDEO, T61
:(32902:10755:6058:8373) pci, None, VIDEO, T61
:(32902:10303:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:10305:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:10311:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:10315:6058:8364) pci, snd_hda_intel, MULTIMEDIA, ThinkPad T61
:(32902:10292:6058:8362) pci, uhci_hcd, USB, ThinkPad T61
:(32902:10293:6058:8362) pci, uhci_hcd, USB, ThinkPad T60
:(4480:1426:6058:8394) pci, r592, BASE, ThinkPad T61
:(4480:2130:6058:8395) pci, r852, BASE, xD-Picture Card Controller
:(4480:1142:6058:8390) pci, yenta_cardbus, PCI/CARDBUS, RL5c476 II
:(4480:2098:6058:8391) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(4480:2082:6058:8392) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 4207833 2914315 2871580 1073152 941083 941083
:/dev/sda1 /boot ext3 1024 1024 495844 436553 410953 128016 127789 127789
:/dev/sda5 WITHHELD ext3 4096 4096 27465952 7178973 5783775 6979584 6883056 6883056
:

var_log_messages:
:Sep  6 19:13:24 voltron kernel: [  139.040175] xfrun4[1706] general protection ip:404ef1 sp:7fff8cf3f390 error:0 in xfrun4[400000+7000]
:Sep  6 19:13:25 voltron abrt[1711]: saved core dump of pid 1706 (/usr/bin/xfrun4) to /var/spool/abrt/ccpp-2011-09-06-19:13:24-1706.new/coredump (4542464 bytes)

Comment 1 Nikolay Vladimirov 2011-09-06 16:47:04 UTC
Created attachment 521711 [details]
File: maps

Comment 2 Nikolay Vladimirov 2011-09-06 16:47:07 UTC
Created attachment 521712 [details]
File: backtrace

Comment 3 Kevin Fenzi 2011-09-06 17:59:25 UTC
Oddly, this crash is in xfrun4... the dialog that comes up on alt-f2. 

Did you pull that up before it crashed? or you didn't have a chance to do anything?

Comment 4 Nikolay Vladimirov 2011-09-06 19:16:03 UTC
Ok. It turns out I have some sick subconcious micro of alt+f2 and starting firefox or gnome-terminal at the start of every session. I did't even realize this until you mentioned it.

It's really a crash in xfrun4.

Everything runs smoothly until Alt+F2 -> "firefox" ENTER. In this example firefox starts fine, but all window decorations dissapear.

Comment 5 Kevin Fenzi 2011-09-06 21:58:45 UTC
So, anytime you run anything with alt+f2 it crashes xfwm4? 

Did it always behave this way?

Anything in ~/.xsession-errors ? 

If you create a new user and login as them, does the behavior persist?

Comment 6 Nikolay Vladimirov 2011-09-07 05:13:20 UTC
Created attachment 521790 [details]
xsession-errors

Comment 7 Nikolay Vladimirov 2011-09-07 05:22:55 UTC
(In reply to comment #5)
> So, anytime you run anything with alt+f2 it crashes xfwm4? 

Just the first time, after starting xfwm manually everything works fine.

> 
> Did it always behave this way?

Yes. I installed xfce about 4 days ago when I couldn't log in Gnome. 

> 
> Anything in ~/.xsession-errors ? 

Attached the new user's xsession-errors

> 
> If you create a new user and login as them, does the behavior persist?

Yes.


Also after 30 seconds or so xfwm crashes even without running alt+F2. This doesn't generate an abrt entry.

Comment 8 Kevin Fenzi 2011-09-08 18:21:36 UTC
Interesting. 

Can you attach your ~/.cache/sessions/xfce4-session-*0 file? (feel free to remove anything you consider personal). 

I am wondering if there's another windowmanager running by default, it crashes then xfwm4 works.

Comment 9 Nikolay Vladimirov 2011-09-10 07:43:31 UTC
I created another new user for sending the xfce4-session file. And I can no logner reporoduce the problem. The window manager is xfwm4 and everything works fine. I guess that for some reason metacity was used for WM in Xfce4, because before a WM crashed on me I saw the Gnome window decorations. 

Not sure what fixed this or when. It did happen in the past couple of days.


Note You need to log in before you can comment on or make changes to this bug.